
module.exports=function zzp_class (...args){
  let tmpArr = [];
  args.forEach(item=>{
    if(_is.Object(item)){
      const names = Object.keys(item)
      names.forEach((name)=>{
        item[name] && tmpArr.push(name)
      })
    }else if(_is.Array(item)){
      tmpArr = tmpArr.concat(zzp_class(...item).split(' '))
    }
    else{
      item && tmpArr.push(item)
    }
  })
  return tmpArr.join(' ')
}

var _is ={
  types : ["Array", "Boolean", "Date", "Number", "Object", "RegExp", "String", "Window", "HTMLDocument"]
};
for(var i = 0, c; c = _is.types[i ++ ]; ){
  _is[c] = (function(type){
    return function(obj){
        return Object.prototype.toString.call(obj) === "[object " + type + "]";
    }
  })(c)
}
